Name:           btrfs-backup-ng
Version:        0.6.4
Release:        1%{?dist}
Summary:        Intelligent, feature-rich backups for btrfs

License:        MIT
URL:            https://github.com/berrym/btrfs-backup-ng
Source:         %{pypi_source btrfs_backup_ng}

BuildArch:      noarch
BuildRequires:  python3-devel

Requires:    btrfs-progs


%description
btrfs-backup-ng supports incremental backups for *btrfs* using
*snapshots* and *send/receive* between filesystems. Think of it as a basic
version of Time Machine. Backups can be stored locally and/or remotely (e.g. via
SSH). Multi-target setups are supported as well as dealing with transmission
failures (e.g. due to network outage).


%prep
%autosetup -p1 -n btrfs_backup_ng-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l btrfs_backup_ng


%check
%pyproject_check_import


%files -n btrfs-backup-ng -f %{pyproject_files}
%doc README.md
%{_bindir}/btrfs-backup-ng

%changelog
* Thu Sep 12 2024 Michael Berry <trismegustis@gmail.com> - 0.6.4-1
- Fixed duplicate log messages - v0.6.4

* Tue Sep 10 2024 Michael Berry <trismegustis@gmail.com> - 0.6.3-12
- Require license

* Mon Sep 09 2024 Michael Berry <trismegustis@gmail.com> - 0.6.3-11
- Removed uneccessary require of python3-rich

* Mon Sep 09 2024 Michael Berry <trismegustis@gmail.com> - 0.6.3-10
- Updated spec file rebuild

* Sat Sep 07 2024 Michael Berry <trismegustis@gmail.com> - 0.6.3-9
- Updated spec file rebuild

* Sat Jul 13 2024 Michael Berry <trismegustis@gmail.com> - 0.6.3-8
- added --version command line switch - v0.6.3

* Sat Jul 13 2024 Michael Berry <trismegustis@gmail.com> - 0.6.2-7
- added missing logging queue handler to childe processes - v0.6.2

* Tue Jun 18 2024 Michael Berry <trismegustis@gmail.com> - 0.6.1-6
- new bugfix and feature version 0.6.1

* Fri May 10 2024 Michael Berry <trismegustis@gmail.com> - 0.6.0-5
- cleaned spec file info

* Fri May 10 2024 Michael Berry <trismegustis@gmail.com> - 0.6.0-4
- updated spec file

* Fri May 10 2024 Michael Berry <trismegustis@gmail.com> - 0.6.0-3
- rebuild

* Mon Apr 22 2024 Michael Berry <trismegustis@gmail.com> - 0.5.11-2
- update to v0.6.0

* Sat Apr 20 2024 Michael Berry <trismegustis@gmail.com> - 0.5.11-1
- Initial package.
